from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDiagramProvider(XInterface, Protocol):
    def getDiagram(self) -> XDiagram: ...
    def setDiagram(self, xDiagram: XDiagram) -> None: ...
